[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

[PATCH] davautocheck.sh: get apxs from Makefile rather than PATH

From: Philip Martin <philip_at_codematters.co.uk>
Date: 2005-07-27 23:49:48 CEST

I don't have apxs in my PATH so I find davautocheck.sh inconvenient.
I think it would be more sensible to use APXS from the Makefile. How
about this?

* subversion/tests/clients/cmdline/davautocheck.sh: Get apxs location
  from Makefile rather than PATH.

Index: subversion/tests/clients/cmdline/davautocheck.sh
===================================================================
--- subversion/tests/clients/cmdline/davautocheck.sh (revision 15456)
+++ subversion/tests/clients/cmdline/davautocheck.sh (working copy)
@@ -99,14 +99,10 @@
 # dont assume sbin is in the PATH
 PATH="/usr/sbin:/usr/local/sbin:$PATH"
 
-# Pick up value from environment or PATH (also try apxs2 - for Debian)
-[ ${APXS:+set} ] \
- || APXS=$(which apxs) \
- || APXS=$(which apxs2) \
- || fail "neither apxs or apxs2 found - required to run davautocheck"
+# Pick up value from the environment or the Makefile
+[ ${APXS:+set} ] || APXS=$(awk '/^APXS/{print $3}' Makefile)
+[ -n "$APXS" ] && [ -x $APXS ] || fail "Can't execute apxs executable $APXS"
 
-[ -x $APXS ] || fail "Can't execute apxs executable $APXS"
-
 say "Using '$APXS'..."
 
 if [ -x svn-config ]; then

-- 
Philip Martin
---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Wed Jul 27 23:50:42 2005

This is an archived mail posted to the Subversion Dev mailing list.

This site is subject to the Apache Privacy Policy and the Apache Public Forum Archive Policy.